Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

Returns an object that can be used to update the users session, as well as indications of the status of the response.
  curl -X PATCH https://api.onlydrams.app/api/v1/users/me/username \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN" \
       -d '{
            "user": {
              "username": "newusername",
              "password": "..."
            }
          }'
{
	"successful": true,
	"message": "Username updated successfully.",
	"userProfile": {
		"id": "123",
		"email": "email@onlydrams.app",
		"username": "username",
		"tier": null,
		"confirmed": true,
		"beta": true,
		"editor": true,
		"avatar_url": "AVATAR_URL",
		"settings": {
			"collection": false,
			"wishlist": false,
			"findable": false
		}
	}
}